var path = require('path');
var webpack = require('webpack');
var ionicWebpackFactory = require(process.env.IONIC_WEBPACK_FACTORY);
// var ExtractTextPlugin = require('extract-text-webpack-plugin');

module.exports = {
  entry: process.env.IONIC_APP_ENTRY_POINT,
  output: {
    path: '{{BUILD}}',
    publicPath: 'build/',
    filename: process.env.IONIC_OUTPUT_JS_FILE_NAME,
    devtoolModuleFilenameTemplate: ionicWebpackFactory.getSourceMapperFunction(),
  },
  devtool: process.env.IONIC_SOURCE_MAP_TYPE,

  resolve: {
    extensions: ['.ts', '.js', '.json'],
    modules: [path.resolve('node_modules')]
  },

  module: {
    loaders: [
      {
        test: /\.json$/,
        loader: 'json-loader'
      },
//     { test: /\.css$/, loader: "style-loader!css-loader" },


//       {
//           test: /\.css$/,
//           loader: ExtractTextPlugin.extract({ fallback: 'style-loader', loader: 'css-loader?sourceMap' })

//           use: ExtractTextPlugin.extract({
//               fallback: 'style-loader',
//               loader: 'css-loader?sourceMap' 
//             })

//             loader: ExtractTextPlugin.extract({
//               fallback: 'style-loader',
//               use: [{
// loader: 'css-loader', options: {sourceMap: true}}]
//             })
//                   loader: ExtractTextPlugin.extract({ fallback: 'style-loader', use: 'css-loader'}),

//           use: [
//       ExtractTextPlugin.extract([  // This is basically "use"
//         {fallback: 'style-loader',loader: 'css-loader', options: {sourceMap: true}}
//       ])
//      ]
//       },
//      {
//          test: /\.css$/,
//          include: helpers.root('src', 'app'),
//          loader: 'raw-loader'
//      },
      {
        test: /\.ts$/,
        loader: process.env.IONIC_WEBPACK_LOADER
      },
      {
        test: /\.js$/,
        loader: process.env.IONIC_WEBPACK_TRANSPILE_LOADER
      },
    ]
  },

  plugins: [
    ionicWebpackFactory.getIonicEnvironmentPlugin(),  
    
  ],

  // Some libraries import Node modules but don't use them in the browser.
  // Tell Webpack to provide empty mocks for them so importing them works.
  node: {
    fs: 'empty',
    net: 'empty',
    tls: 'empty'
  }
};
