export class Product {
    control: string;
    samples: any;
    component: any;
    constructor(control, samples, component) {
        this.control = control;
        this.samples = samples;
        this.component = component;
    }
}
import { Component, ViewChild } from '@angular/core';
import { Nav, Platform, MenuController } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';
import { GridDefaultPage } from '../pages/grid/default';
import { GridSortingPage } from '../pages/grid/sorting';
import { GridGroupingPage } from '../pages/grid/grouping';
import { GridFilteringPage } from '../pages/grid/filtering';
import { GridTemplatePage } from '../pages/grid/columntemplate';
import { GridExportPage } from '../pages/grid/export';
import { LineChartPage } from '../pages/chart/line';
@Component({
    templateUrl: 'app.html'
})
export class MyApp {
    @ViewChild(Nav) nav: Nav;
    rootPage: any = LineChartPage;
    pages: Array<Product>;
    constructor(public platform: Platform, public statusBar: StatusBar, public sidemenu: MenuController, public splashScreen: SplashScreen) {
        this.initializeApp();
        this.pages = [
            new Product('Chart', ['default', 'View'], [LineChartPage]),
        ]
    }
    initializeApp() {
        this.platform.ready().then(() => {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            this.statusBar.styleDefault();
            this.splashScreen.hide();
        });
    }
    openPage(page, sample) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario  
        this.nav.setRoot(page.component[sample]);
        this.sidemenu.close();
    }
}